%define rname Maelstrom

Summary:	SDL port of Maelstrom asteroids game
Name:		maelstrom
Version:	3.0.7
Release:	%mkrel 1
License:	GPLv2
Group:		Games/Arcade
URL:		https://www.libsdl.org/projects/Maelstrom/
Source0:	https://www.libsdl.org/projects/Maelstrom/src/%{rname}-%{version}.tar.gz
Source10:	%{rname}.16.png
Source11:	%{rname}.32.png
Source12:	%{rname}.48.png
Patch1:		%{rname}-3.0.6-scorefile.patch
Patch2:		%{rname}-3.0.7-datadir.patch
Patch3:		%{rname}-3.0.6-gcc3.4.patch
Patch4:		%{rname}-missing-include.patch
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(sdl2)
%rename		%{rname}

%description
Maelstrom is a rockin' asteroids game ported from the Macintosh
Originally written by Andrew Welch of Ambrosia Software, and ported
to UNIX and then SDL by Sam Lantinga <slouken@devolution.com>

%prep
%setup -q -n %{rname}-%{version}
%patch -P 1 -b .scores
%patch -P 2 -p1 -b .datadir
%patch -P 3 -p1
%patch -P 4 -p1 -b .include

mv configure.in configure.ac
touch ChangeLog NEWS AUTHORS README

%build
autoreconf -vfi
%configure bindir=%{_gamesbindir} datadir=%{_gamesdatadir}
%make_build

%install
%make_install install-binPROGRAMS bindir=%{_gamesbindir}

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mageia-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{rname}
Name=%{rname}
Comment=Asteroids game
Categories=Game;ArcadeGame;
Icon=%{rname}
EOF

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
install -m 644 %{SOURCE10} %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 %{SOURCE12} %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_localstatedir}/lib/games/

rm -rf %{buildroot}%{_gamesdatadir}/%{rname}/%{rname}

%files
%doc CREDITS.txt README* Changelog Docs
%license COPYING
%attr(2755,root,games) %{_gamesbindir}/%{rname}*
%{_gamesdatadir}/%{rname}/
%{_datadir}/applications/mageia-*.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*
%{_liconsdir}/*
%ghost %config(noreplace) %attr(0664,root,games) %{_localstatedir}/lib/games/Maelstrom-Scores


%changelog
* Mon Jun 17 2024 daviddavid <daviddavid> 3.0.7-1.mga10
+ Revision: 2074579
- new version: 3.0.7

* Fri Apr 01 2022 umeabot <umeabot> 3.0.6-22.mga9
+ Revision: 1839388
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 3.0.6-21.mga8
+ Revision: 1514974
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.0.6-20.mga7
+ Revision: 1299431
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 3.0.6-19.mga6
+ Revision: 931670
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.6-18.mga5
+ Revision: 748963
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.6-17.mga5
+ Revision: 682121
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.6-16.mga4
+ Revision: 507715
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.6-15.mga3
+ Revision: 359271
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 luigiwalser <luigiwalser> 3.0.6-14.mga2
+ Revision: 205061
- obsolete Maelstrom

* Sun Feb 05 2012 luigiwalser <luigiwalser> 3.0.6-13.mga2
+ Revision: 205013
- fix license
- clean spec
- rename Maelstrom to maelstrom
- imported package Maelstrom

